50 Games Like Damien

Updated:

Foglight, Amarok Dreams, and The Infected are our top selection to play today.

The latest addition in this selection are LAST LAND released the 27 November 2020 and ranked #36, BROTHER WAKE UP released the 26 November 2020 and ranked #16, CLOWN released the 24 November 2020 and ranked #17.

50 Games like Damien daily generated comparing over 40 000 video games across all platforms.
This suggestion collection includes horror survival-horror open-world games for Android, Win Mobile, PS4 (Playstation 4), Xbox One, Switch, PC Windows, Mac OS and Linux. The order in this selection is not absolute, but the best games tends to be up in the list.

Logo of the video game Damien

Damien is a first-person story-driven horror game. What happened here and why did people move out in such a hurry? A psychological horror game where fear and paranoia merge into a terrifying story!

6# The Evil Within 2 - 2017

Review82Score

Detective Sebastian Castellanos has lost everything, including his daughter, Lily. To save her, he must descend into the nightmarish world of STEM. Horrifying threats emerge from every corner, and he must rely on his wits to survive. For his one chance at redemption, the only way out is in.

The Evil Within 2 similarities with Damien:

7# AccidentHouse - 2020

ReviewNDScore
Screenshot of the video game AccidentHouse
Screenshot of the video game AccidentHouse
Screenshot of the video game AccidentHouse

Early Access

【This is the fear of someone being behind it】 This is the latest in the QuietMansion (formerly KENGOHAZARD) series. The evolving short horror game that was developed by a 19 years old Japanese student all by himself is coming to Steam! Find the key and escape from the dark, abandoned house!

AccidentHouse similarities with Damien:

8# Pathologic Classic HD - 2015

Review74Score

Pathologic Classic HD is the Definitive Edition of the original Cult Classic Psychological First-Person Survival game. In this unforgettable experience, players control one of three unique characters as they try to save a mysterious town from a deadly plague that cannot be stopped.

Pathologic Classic HD similarities with Damien:

9# Dashie's Puh-ranormal Activity - 2020

ReviewNDScore
Screenshot of the video game Dashie's Puh-ranormal Activity
Screenshot of the video game Dashie's Puh-ranormal Activity
Screenshot of the video game Dashie's Puh-ranormal Activity

Dashie's Puh-ranormal Activity is a 3D comedy/horror game developed for the YouTuber Dashie. (YouTube: DashieGames, DashieXP, DashieXP2). The game features various references to Dashie's skits and videos. In this game, Dashie is being haunted by the ghost of his ex and must find a way to survive.

Dashie's Puh-ranormal Activity similarities with Damien:

14# Last Hope on Earth - 2020

ReviewNDScore
Screenshot of the video game Last Hope on Earth
Screenshot of the video game Last Hope on Earth
Screenshot of the video game Last Hope on Earth

Early Access

In Last Hope on Earth, you are free to explore the open world, collect and search for resources, build your base, destroy infected and hunt other players. Everything is relevant for survival: the climate, the infected, the natural needs and also the other players.

Last Hope on Earth similarities with Damien:

15# Five Nights at Freddy's 3 - 2015

Review80Score

Thirty years after Freddy Fazbear's Pizza closed it's doors, the events that took place there have become nothing more than a rumor and a childhood memory, but the owners of 'Fazbear's Fright: The Horror Attraction' are determined to revive the legend and make the experience as authentic as possible for patrons, going to great lengths to find anything that might have survived decades of neglect and ruin. At first there were only empty shells, a hand, a hook, an old paper-plate doll, but then a remarkable discovery was made... Online features require an account and are subject to terms of service and applicable privacy policy (playstationnetwork.com/terms-of-service & playstationnetwork.com/privacy-policy).

Five Nights at Freddy's 3 similarities with Damien:

22# WORLD OF HORROR - 2020

Review87Score

Early Access

Experience the quiet terror of this 1-bit love letter to Junji Ito and H.P. Lovecraft. Navigate a hellish roguelite reality with turn-based combat and unforgiving choices. Experiment with your deck of event cards to discover new forms of cosmic horror in every playthrough. The inevitable awaits...

WORLD OF HORROR similarities with Damien:

23# Five Nights at Freddy's: Sister Location - 2017

Review80Score

Welcome to Circus Baby's Pizza World, where family fun and interactivity go beyond anything you've seen at those *other* pizza places! Now hiring: Late night technician. Must enjoy cramped spaces and be comfortable around active machinery. Not responsible for death or dismemberment.

Five Nights at Freddy's: Sister Location similarities with Damien:

24# Amnesia: Rebirth - 2020

Review79Score

Traceback (most recent call last): File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 81, in _get_sentence_tokenizer return nltk.data.load(path) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 752, in load opened_resource = _open(resource_url) File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 877, in _open return find(path_, path + [""]).open() File "/usr/local/lib/python3.7/dist-packages/nltk/data.py", line 585, in find raise LookupError(resource_not_found) LookupError: ********************************************************************** Resource punkt not found. Please use the NLTK Downloader to obtain the resource: >>> import nltk >>> nltk.download('punkt')  For more information see: https://www.nltk.org/data.html Attempted to load tokenizers/punkt/PY3/english.pickle Searched in: - '/root/nltk_data' - '/usr/nltk_data' - '/usr/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/share/nltk_data' - '/usr/local/share/nltk_data' - '/usr/lib/nltk_data' - '/usr/local/lib/nltk_data' - '' ********************************************************************** During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/local/bin/sumy-3.7", line 10, in sys.exit(main()) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 68, in main summarizer, parser, items_count = handle_arguments(args) File "/usr/local/lib/python3.7/dist-packages/sumy/__main__.py", line 109, in handle_arguments parser = parser(document_content, Tokenizer(language)) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 69, in __init__ self._sentence_tokenizer = self._get_sentence_tokenizer(tokenizer_language) File "/usr/local/lib/python3.7/dist-packages/sumy/nlp/tokenizers.py", line 84, in _get_sentence_tokenizer "NLTK tokenizers are missing. Download them by following command: " LookupError: NLTK tokenizers are missing. Download them by following command: python -c "import nltk; nltk.download('punkt')"

Amnesia: Rebirth similarities with Damien:

12 sept 2018 - New comment system! Drop us a line